Decline Member
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/members/:memberId/declineimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/members/:memberId/decline"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/members/:memberId/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"membership": {}
}Space — Membership
Decline Member
Decline a pending membership request
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
members
/
:memberId
/
decline
Decline Member
Sets a pending member’s status to
See also: useDeclineMember
"rejected". Requires the caller to be a moderator or admin.
Path Parameters
UUID of the space.
UUID of the membership record to decline.
Response
Confirmation message.
Updated membership with
id and status: "rejected".Error Responses
Not Found — 404
Not Found — 404
{ "error": "Membership not found.", "code": "space/membership-not-found" }
Not Pending — 400
Not Pending — 400
{ "error": "Membership is already active.", "code": "space/not-pending" }
⌘I

